summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2001-08-18 04:35:20 +0000
committerDaniel Robbins <drobbins@gentoo.org>2001-08-18 04:35:20 +0000
commitbf194967a9103f331f0e1a6fb5522dd069c0413e (patch)
tree809f99d15fa1146a4b4917d3c5fab090ae5148b0 /scripts
parentminimal build version if build set. (diff)
downloadhistorical-bf194967a9103f331f0e1a6fb5522dd069c0413e.tar.gz
historical-bf194967a9103f331f0e1a6fb5522dd069c0413e.tar.bz2
historical-bf194967a9103f331f0e1a6fb5522dd069c0413e.zip
miscellaneous build-image related tweaks
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap.sh21
1 files changed, 12 insertions, 9 deletions
diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index d494a364713a..8fbf01c5582f 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -2,26 +2,29 @@
LIST=$1
+myPORTAGE=`grep "sys-apps/portage" $1`
myGETTEXT=`grep "sys-devel/gettext" $1`
myBINUTILS=`grep "sys-devel/binutils" $1`
myGCC=`grep "sys-devel/gcc" $1`
myGLIBC=`grep "sys-libs/glibc" $1`
+echo "Using PORTAGE $myPORTAGE"
echo "Using BINUTILS $myBINUTILS"
echo "Using GCC $myGCC"
echo "Using GETTEXT $myGETTEXT"
echo "Using GLIBC $myGLIBC"
export USE="build"
-export STEPS="clean unpack compile install qmerge clean"
cd /usr/portage
-ebuild $myBINUTILS $STEPS || exit
-ebuild $myGCC $STEPS || exit
-ebuild $myGETTEXT $STEPS || exit
+#commented out for now; why do we need to do this?
+#emerge $myPORTAGE || exit
+#emerge $myBINUTILS || exit
+#emerge $myGCC || exit
+#emerge $myGETTEXT || exit
unset USE
-export USE="`python -c 'import portage; print portage.settings["USE"];'` bootstrap"
-ebuild $myGLIBC $STEPS || exit
-ebuild $myGETTEXT $STEPS || exit
-ebuild $myBINUTILS $STEPS || exit
-ebuild $myGCC $STEPS || exit
+export USE="`spython -c 'import portage; print portage.settings["USE"];'` bootstrap"
+emerge $myGLIBC || exit
+emerge $myGETTEXT || exit
+emerge $myBINUTILS || exit
+emerge $myGCC || exit
unset USE